package com.steema.teechartandroidtest;

import android.app.Activity;
import android.os.Bundle;
import android.widget.LinearLayout;

import com.steema.teechart.TChart;
import com.steema.teechart.events.ChartDrawEvent;
import com.steema.teechart.events.ChartPaintAdapter;
import com.steema.teechart.legend.LegendAlignment;
import com.steema.teechart.styles.Bar;
import com.steema.teechart.styles.MarksStyle;
import com.steema.teechart.styles.ValueListOrder;
import com.steema.teechart.themes.ThemesList;
import com.steema.teechart.tools.ScrollPager;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        LinearLayout group = (LinearLayout) findViewById(R.id.chart_layout1);
        
		createChart(group);
		
		initializeChart();
    }
    
	private TChart tChart1;
	private void createChart(LinearLayout group) {
		tChart1 = new TChart(this);
		group.addView(tChart1);
	}

	private void initializeChart() {		
		tChart1.getChart().getAspect().setView3D(false);
		tChart1.getChart().getLegend().setVisible(false);
		
		tChart1.getPanel().setBorderRound(7);
		tChart1.getAspect().setView3D(false);
		ThemesList.applyTheme(tChart1.getChart(), 1);
		tChart1.getLegend().setAlignment(LegendAlignment.BOTTOM);
		tChart1.getAxes().getAxis(0).setMaximum(100);
		tChart1.getAxes().getAxis(0).setAutomaticMaximum(false);
		tChart1.getLegend().getTitle().setVisible(true);
		tChart1.getLegend().getTitle().setText("Intensity level in %");

		tChart1.getZoom().setActive(false);
		tChart1.getZoom().setAllow(false);
		
		Bar availableNetworks = new Bar(tChart1.getChart());
		availableNetworks.fillSampleValues(1);
		availableNetworks.getYValues().setOrder(ValueListOrder.DESCENDING);
		availableNetworks.getYValues().sort();
		availableNetworks.getXValues().fillSequence();

		new ScrollPager(tChart1.getChart(), this);
		
		tChart1.addChartPaintListener(new ChartPaintAdapter() {
			
			@Override
			public void chartPainted(ChartDrawEvent e) {
				if (tChart1.getTools().getTool(0).getClass() == ScrollPager.class) {
					ScrollPager s = (ScrollPager)tChart1.getTools().getTool(0);
					if (s.getSeries() == null) {
						s.setSeries(tChart1.getSeries(0));
						
						s.getColorBandTool().clickTolerance = 30;
						
						TChart scrollPagerChart = s.getSubChartTChart();
						scrollPagerChart.getSeries(0).getMarks().setStyle(MarksStyle.VALUE);
						
						ThemesList.applyTheme(scrollPagerChart.getChart(), 1);
					}
				}
			}
		});
	}
}
